mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Security.Cryptography.AsymmetricAlgorithm System.Runtime.InteropServices.ComVisible(true)

Extending this class proves that you are implementing an RSA key. This is required for any developer providing a new RSA key implementation.

The only purpose of this class is as a hierarchy member for identification of the RSA algorithm.

The supports key lengths from 384 bits to 16384 bits in increments of 8 bits if you have the Microsoft Enhanced Cryptographic Provider installed. It supports key lengths from 384 bits to 512 bits in increments of 8 bits if you have the Microsoft Base Cryptographic Provider installed.

Represents the base class from which all implementations of the algorithm inherit.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  You cannot create an instance of an abstract class. Application code will create an instance of an implementation of this class.

  Initializes a new instance of .

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Security.Cryptography.RSA To be added

  Creates an instance of the default implementation of the algorithm.

  A new instance of the default implementation of .

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Security.Cryptography.RSA `` To be added

  Creates an instance of the specified implementation of .

  A new instance of the specified implementation of .

  The name of the implementation of to use.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Byte[] `` Direct (raw) decryption (i.e. without padding) is discouraged due to high security risks.

  When overridden in a derived class, decrypts the input data using the private key.

  The resulting decryption of the parameter in plain text.

  The cipher text to be decrypted.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Byte[] `` Direct (raw) encryption (i.e. without padding) is discouraged due to high security risks.

  When overridden in a derived class, encrypts the input data using the public key.

  The resulting encryption of the parameter as cipher text.

  The plain text to be encrypted.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Security.Cryptography.RSAParameters `` You are responsable to zeroize the private key ( parameters , , , , and ) if you export it from the instance.

  When overridden in a derived class, exports the .

  The parameters for .

  true to include private parameters; otherwise, false.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void ``

  The initializes an RSA object using key information in an XML string that was generated using the method. The method accepts either an XML string containing a public key or an XML string containing a public and private key.

  Use the method to conveniently initialize key information.

  Persisting an XML string containing a private key to an insecure location is a security threat. The security of your application can be compromised if a malicious third party can access your private key. To safely persist a private key, use a secure key container. For more information about persisting private keys in a key container, see How to: Store Asymmetric Keys in a Key Container.

  Initializes an object from the key information from an XML string.

  The XML string containing key information.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` Parameters D, P and Q are required to import an RSA private key. Parameters DP, DQ and InverseQ will be used for the Chinese Remainder Theorem (CRT) optimization if available.

  When overridden in a derived class, imports the specified .

  The parameters for .
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String ``

  The method creates an XML string that contains either the public and private key of the current object or contains only the public key of the current object.

  Use the method whenever you need to conveniently persist RSA key information. To initialize an object with the key in an XML string, use the method.

  Persisting an XML string containing a private key to an insecure location is a security threat. The security of your application can be compromised if a malicious third party can access your private key. To safely persist a private key, use a secure key container. For more information about persisting private keys in a key container, see How to: Store Asymmetric Keys in a Key Container.

  When you pass true to the method, the resulting XML string takes the following form:

  `<RSAKeyValue> <Modulus>…</Modulus> <Exponent>…</Exponent> <P>…</P> <Q>…</Q> <DP>…</DP> <DQ>…</DQ> <InverseQ>…</InverseQ> <D>…</D> </RSAKeyValue>`

  When you pass false to the method, the resulting XML string takes the following form:

  `<RSAKeyValue> <Modulus>…</Modulus> <Exponent>…</Exponent> </RSAKeyValue>`

  Creates and returns an XML string containing the key of the current object.

  An XML string containing the key of the current object.

  true to include a public and private RSA key; false to include only the public key.